Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class EntityRef

    java.lang.Object
      |
      +--org.jdom.Content
            |
            +--org.jdom.EntityRef

public class EntityRef
extends Content

An XML entity reference. Methods allow the user to manage its name, public id, and system id.

Version:
  $Revision: 1.21 $, $Date: 2004/02/27 11:32:57 $
Author:
  Brett McLaughlin, Jason Hunter, Philip Nelson
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` The name of the `EntityRef`
`protected java.lang.String` | `publicID` The PublicID of the `EntityRef`
`protected java.lang.String` | `systemID` The SystemID of the `EntityRef`

Fields inherited from class org.jdom.Content
`parent`

Constructor Summary
`protected` | `EntityRef()` Default, no-args constructor for implementations to use if needed.
`` | `EntityRef(java.lang.String name)` This will create a new `EntityRef` with the supplied name.
`` | `EntityRef(java.lang.String name, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name and system id.
`` | `EntityRef(java.lang.String name, java.lang.String publicID, java.lang.String systemID)` This will create a new `EntityRef` with the supplied name, public id, and system id.

Method Summary
`java.lang.String` | `getName()` This returns the name of the `EntityRef`.
`java.lang.String` | `getPublicID()` This will return the publid ID of this `EntityRef`.
`java.lang.String` | `getSystemID()` This will return the system ID of this `EntityRef`.
`java.lang.String` | `getValue()` Returns the empty string since entity references don't have an XPath 1.0 string value.
`EntityRef` | `setName(java.lang.String name)` This will set the name of this `EntityRef`.
`EntityRef` | `setPublicID(java.lang.String publicID)` This will set the public ID of this `EntityRef`.
`EntityRef` | `setSystemID(java.lang.String systemID)` This will set the system ID of this `EntityRef`.
`java.lang.String` | `toString()` This returns a `String` representation of the `EntityRef`, suitable for debugging.

Methods inherited from class org.jdom.Content
`clone, detach, equals, getDocument, getParent, getParentElement, hashCode, setParent`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the `EntityRef`

### publicID

    protected java.lang.String publicID

  The PublicID of the `EntityRef`

### systemID

    protected java.lang.String systemID

  The SystemID of the `EntityRef`

Constructor Detail

### EntityRef

    protected EntityRef()

  Default, no-args constructor for implementations to use if needed.

### EntityRef

    public EntityRef(java.lang.String name)

  This will create a new `EntityRef` with the supplied name.
  Parameters:
    `name` - `String` name of element.
  Throws:
    IllegalNameException - if the given name is not a legal XML name.

### EntityRef

    public EntityRef(java.lang.String name,
                     java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name and system id.
  Parameters:
    `name` - `String` name of element.
    `systemID` - system id of the entity reference being constructed
  Throws:
    IllegalNameException - if the given name is not a legal XML name.
    IllegalDataException - if the given system ID is not a legal system literal.

### EntityRef

    public EntityRef(java.lang.String name,
                     java.lang.String publicID,
                     java.lang.String systemID)

  This will create a new `EntityRef` with the supplied name, public id, and system id.
  Parameters:
    `name` - `String` name of element.
    `publicID` - public id of the entity reference being constructed
    `systemID` - system id of the entity reference being constructed
  Throws:
    IllegalDataException - if the given system ID is not a legal system literal or the the given public ID is not a legal public ID
    IllegalNameException - if the given name is not a legal XML name.

Method Detail

### getName

    public java.lang.String getName()

  This returns the name of the `EntityRef`.
  Returns:
    `String` - entity name.

### getValue

    public java.lang.String getValue()

  Returns the empty string since entity references don't have an XPath 1.0 string value.
  Overrides:
    getValue in class Content
  Returns:
    the empty string

### getPublicID

    public java.lang.String getPublicID()

  This will return the publid ID of this `EntityRef`. If there is no public ID, then this returns `null`.
  Returns:
    public ID of this `EntityRef`

### getSystemID

    public java.lang.String getSystemID()

  This will return the system ID of this `EntityRef`. If there is no system ID, then this returns `null`.
  Returns:
    system ID of this `EntityRef`

### setName

    public EntityRef setName(java.lang.String name)

  This will set the name of this `EntityRef`.
  Parameters:
    `name` - new name of the entity
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalNameException - if the given name is not a legal XML name.

### setPublicID

    public EntityRef setPublicID(java.lang.String publicID)

  This will set the public ID of this `EntityRef`.
  Parameters:
    `publicID` - new public id
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalDataException - if the given public ID is not a legal public ID.

### setSystemID

    public EntityRef setSystemID(java.lang.String systemID)

  This will set the system ID of this `EntityRef`.
  Parameters:
    `systemID` - new system id
  Returns:
    this `EntityRef` modified.
  Throws:
    IllegalDataException - if the given system ID is not a legal system literal.

### toString

    public java.lang.String toString()

  This returns a `String` representation of the `EntityRef`, suitable for debugging.
  Overrides:
    toString in class java.lang.Object
  Returns:
    `String` - information about the `EntityRef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.